Get an invitation
Returns one invitation, with its delivery history. The invitation token is never shown.
Requires a realm admin with the realms.members.manage permission on the realm that owns the invitation given by invite_id. For an organization-level invitation, a role with org.members.manage in that organization.
POST
/
v1
/
invitations
/
get_by_id
Get an invitation
curl --request POST \
--url https://{host}/v1/invitations/get_by_id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invite_id": "3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b"
}
'import requests
url = "https://{host}/v1/invitations/get_by_id"
payload = { "invite_id": "3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({invite_id: '3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b'})
};
fetch('https://{host}/v1/invitations/get_by_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/invitations/get_by_id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'invite_id' => '3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/invitations/get_by_id"
payload := strings.NewReader("{\n \"invite_id\": \"3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/invitations/get_by_id")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"invite_id\": \"3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/invitations/get_by_id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"invite_id\": \"3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"invite_id": "3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b",
"email": "[email protected]",
"role": "member",
"kind": "org_member",
"status": "pending",
"inviter": {
"id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"display_name": "Sapan"
},
"send_count": 1,
"last_sent_at": "2026-10-07T10:00:00Z",
"expires_at": "2026-10-14T10:00:00Z",
"deliveries": [
{
"kind": "sent",
"sent_at": "2026-10-07T10:00:00Z",
"email_sent": true,
"provider_message_id": null
}
],
"created_at": "2026-10-07T10:00:00Z"
}
}
Authorizations
User PAT (cliq_tok_…, including session-scoped) or realm token (cliq_dt_…).
Body
application/json
⌘I
Get an invitation
curl --request POST \
--url https://{host}/v1/invitations/get_by_id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invite_id": "3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b"
}
'import requests
url = "https://{host}/v1/invitations/get_by_id"
payload = { "invite_id": "3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({invite_id: '3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b'})
};
fetch('https://{host}/v1/invitations/get_by_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/invitations/get_by_id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'invite_id' => '3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/invitations/get_by_id"
payload := strings.NewReader("{\n \"invite_id\": \"3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/invitations/get_by_id")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"invite_id\": \"3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/invitations/get_by_id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"invite_id\": \"3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"invite_id": "3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b",
"email": "[email protected]",
"role": "member",
"kind": "org_member",
"status": "pending",
"inviter": {
"id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"display_name": "Sapan"
},
"send_count": 1,
"last_sent_at": "2026-10-07T10:00:00Z",
"expires_at": "2026-10-14T10:00:00Z",
"deliveries": [
{
"kind": "sent",
"sent_at": "2026-10-07T10:00:00Z",
"email_sent": true,
"provider_message_id": null
}
],
"created_at": "2026-10-07T10:00:00Z"
}
}